package com.engine.kq.enums;

/**
 * 考勤报表使用的 流程类型对应关系
 */
public enum FlowReportTypeEnum {

  /**
   * 年假
   */
  annualLeave("annualLeave"),
  /**
   * 带薪事假
   */
  paidCompassionateLeave("paidCompassionateLeave"),
  /**
   * 带薪病假
   */
  paidSickLeave("paidSickLeave"),
  /**
   * 事假
   */
  compassionateLeave("compassionateLeave"),
  /**
   * 病假
   */
  sickLeave("sickLeave"),
  /**
   * 调休
   */
  vacationLeave("vacationLeave"),

  /**
   * 产假
   */
  maternityLeave("maternityLeave"),
  /**
   * 陪产假
   */
  paternityLeave("paternityLeave"),
  /**
   * 工作日加班
   */
  workingDayOvertime("workingDayOvertime"),
  /**
   * 休息日加班
   */
  restDayOvertime("restDayOvertime"),
  /**
   * 节假日加班
   */
  holidayOvertime("holidayOvertime"),
  /**
   * 出差
   */
  businessLeave("businessLeave"),

  /**
   * 公出
   */
  officialBusiness("officialBusiness"),

  /**
   * 流程的大类型，请假
   */
  LEAVE("LEAVE"),
  /**
   *
   * 流程的大类型，出差
   */
  EVECTION("EVECTION"),
  /**
   *
   * 流程的大类型，公出
   */
  OUT("OUT"),
  /**
   *
   * 流程的大类型，加班
   */
  OVERTIME("OVERTIME");

  private String flowType;
  /**
   *
   * @param flowType 考勤报表需要的流程类型映射
   */
  FlowReportTypeEnum(String flowType) {
    this.flowType = flowType;
  }

  public String getFlowType() {
    return flowType;
  }

  public void setFlowType(String flowType) {
    this.flowType = flowType;
  }

}
